<?php
# Offer sample

require "aps/2/runtime.php";
/**
 * Class additionalOffer
 * @type("http://aps-standard.org/samples/sample-offering/additional_offer/1.0")
 * @implements("http://aps-standard.org/types/core/resource/1.0","http://aps-standard.org/types/core/profile/service/1.0")
 */
class additionalOffer extends \APS\ResourceBase
{
## Offers must be bound to the application, which resources are used to generate a VPS based on parameters defined in an Offer.
    /**
     * @link("http://aps-standard.org/samples/sample-offering/cloud/1.0")
     * @required
     */
    public $cloud;

## Every VPS must refer to an Offer from which it takes parameters.
    /**
     * @link("http://aps-standard.org/samples/sample-offering/vps/1.0[]")
     */
    public $vpses;

    /**
     * @type("integer")
     * @title("Full backup period")
     * @description("Full backup period in Hours")
     */
    public $fperiod;

    /**
     * @type("integer")
     * @title("Incremental backup period")
     * @default(1)
     * @description("Incremental backup period in Hours")
     */
    public $iperiod;

    /**
     * @type("integer")
     * @title("Full backups limit")
     * @description("Limit on the number of stored full backups")
     */
    public $flimit;

    /**
     * @type("integer")
     * @title("Used storage, GB")
     * @default(0)
     * @description("Storage used by all backups of the process")
     */
    public $size;
}
?>