define([
    "dojo/_base/declare",
    "aps/_View",
    "aps/xhr",
    "aps/load",
    "aps/Output",
    "./displayError.js",
    "aps/ready!"
], function(
    declare,
    _View,
    xhr,
    load,
    Output,
    displayError
) {

    return declare(_View, {
        init: function () {
            return ["aps/FieldSet", { id: this.genId("events_general") }];
        },

        onContext: function() {
            var self = this;
            xhr("/aps/2/resources/" + aps.context.vars.events.aps.id + "/readNotifications",
                {method: "GET", handleAs: "text"}
            ).then(function (logContent) {
                if (logContent.length > 0) {
                    self.byId("events_general").addChild(new Output({innerHTML:  "<pre>" + logContent + "</pre>"}));
                }
                aps.apsc.hideLoading();
            }, function (err) {
                displayError(err);
                aps.apsc.cancelProcessing();
            });
        }
    });
});

